org.h2.command.dml

## Class MergeUsing.WhenNotMatched

- java.lang.Object
- - org.h2.command.dml.MergeUsing.When
  - - org.h2.command.dml.MergeUsing.WhenNotMatched

Enclosing class:
  MergeUsing

    public static final class MergeUsing.WhenNotMatched
    extends MergeUsing.When

### Constructor Summary

Constructors
Constructor and Description
`MergeUsing.WhenNotMatched(MergeUsing mergeUsing)`

### Method Summary

Methods
`Insert` `getInsertCommand()`
`void` `setInsertCommand(Insert insertCommand)`

### Methods inherited from class org.h2.command.dml.MergeUsing.When

`setAndCondition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeUsing.WhenNotMatched

    public MergeUsing.WhenNotMatched(MergeUsing mergeUsing)

### Method Detail

#### getInsertCommand

    public Insert getInsertCommand()

#### setInsertCommand

    public void setInsertCommand(Insert insertCommand)